[android-components](../../../index.md) / [mozilla.components.browser.icons.decoder](../../index.md) / [IconDecoder](../index.md) / [ImageMagicNumbers](./index.md)

# ImageMagicNumbers

`enum class ImageMagicNumbers` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/browser/icons/src/main/java/mozilla/components/browser/icons/decoder/IconDecoder.kt#L27)

### Enum Values

| Name | Summary |
|---|---|
| [PNG](-p-n-g.md) |  |
| [GIF](-g-i-f.md) |  |
| [JPEG](-j-p-e-g.md) |  |
| [BMP](-b-m-p.md) |  |
| [WEB](-w-e-b.md) |  |

### Properties

| Name | Summary |
|---|---|
| [value](value.md) | `var value: `[`ByteArray`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-byte-array/index.html) |
